---

- name: Install Elektra and opensesame
  hosts: all
  become: yes
  tasks:

    - name: Add custom repository
      apt_repository:
        repo: deb [trusted=yes] https://thesis.maxirlinger.at/repo/ armhf/ 
        state: present
        filename: elektra

    - name: Update APT
      apt:
        update_cache: yes

    - name: Install Elektra
      apt:
        pkg:
          - libelektra5-*
          - elektra-*

    - name: Install opensesame
      apt:
        pkg:
          - opensesame

    - name: Copy opensesame locale
      copy:
        src: /usr/share/locale/de/LC_MESSAGES/opensesame.mo
        remote_src: true
        dest: /usr/share/locale/en/LC_MESSAGES/opensesame.mo
